%define name python-gtksourceview
%define version 2.10.0
%define release %mkrel 3
%define oname pygtksourceview
%define __libtoolize    /bin/true

Summary: Gtksourceview bindings for Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%oname/%{oname}-%{version}.tar.bz2
License: LGPLv2+
Group: Development/Python
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtksourceview-devel >= 2.3.0
BuildRequires: pygtk2.0-devel
BuildRequires: libxslt-proc docbook-style-xsl
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version
Obsoletes:  pygtksourceview
Provides:   pygtksourceview = %version-%release

%description
These are the python bindings for the version 2 of the
GtkSourceView library.

%package devel
Group: Development/Python
Summary: Files required to build applications with %name
Requires: %name = %version-%release
Obsoletes: pygtksourceview-devel
Provides: pygtksourceview-devel = %version-%release

%description devel
These are the python bindings for the version 2 of the
GtkSourceView library.


%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make PYTHON_LIBS="-lpython%{py_ver}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%py_platsitedir/gtksourceview2.la
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS
%py_platsitedir/gtksourceview2.so

%files devel
%defattr(-,root,root)
%doc ChangeLog
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/pygtksourceview2/
%_datadir/pygtk/2.0/defs/gtksourceview2.defs


%changelog
* Sun Aug 11 2013 billybot <billybot>
 - update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Mon Mar 29 2010 Texstar <texstar at gmail.com> 2.10.0-1pclos2010
- 2.10.0

* Tue Jan 19 2010 Texstar <texstar at gmail.com> 2.8.0-4pclos2010
- rebuild against updated gtksourceview

* Wed Jan 05 2010 Texstar <texstar at gmail.com> 2.8.0-3pclos2010
- obsolete old version pygtksourceview & pygtksourceview-devel

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.8.0-2pclos2010
- system rebuild

* Wed Oct 07 2009 slick50 <lxgator@gmail.com> 2.8.0-1pclos2010
- 2.8.0

* Mon Sep 21 2009 pcserver <pcserver at hush.com>
- update & rebuild

